# KNOW YOUR HTTP well. MEDIA-TYPES

concept/identifier | media-type | description | spec
------------------ | :--------- | :---------- | :---
 | `Additional Media Type Structured Syntax Suffixes` | "This document defines several structured syntax suffixes for use with media type registrations. In particular, it defines and registers the +json, +ber, +der, +fastinfoset, +wbxml and +zip structured syntax suffixes" | [RFC6839](http://tools.ietf.org/html/rfc6839)
 | `Media Type Specifications and Registration Procedures` | "This document specifies an Internet Best Current Practices for the Internet Community, and requests discussion and suggestions for improvements.  Distribution of this memo is unlimited." | [RFC4288](http://tools.ietf.org/html/rfc4288)
`application/api-problem+json` | `Problem Details for HTTP APIs` | "This document defines a problem detail as a way to carry machine-readable details of errors in a HTTP response, to avoid the need to invent new error response formats for HTTP APIs." | [draft-nottingham-http-problem](http://tools.ietf.org/html/draft-nottingham-http-problem)
`application/json` | `The application/json Media Type for JavaScript Object Notation (JSON)` | "JavaScript Object Notation (JSON) is a lightweight, text-based, language-independent data interchange format." | [RFC4627](http://tools.ietf.org/html/rfc4627)
`application/json-home` | `Home Documents for HTTP APIs` | "This document proposes a home document format for non-browser HTTP clients." | [draft-nottingham-json-home](http://tools.ietf.org/html/draft-nottingham-json-home)
`application/json-patch` | `JSON Patch` | "JSON Patch defines a JSON document structure for expressing a sequence of operations to apply to a JavaScript Object Notation (JSON) document; it is suitable for use with the HTTP PATCH method." | [RFC6902](http://tools.ietf.org/html/rfc6902)
`application/schema+json` | `A JSON Media Type for Describing the Structure and Meaning of JSON Documents` | " JSON (JavaScript Object Notation) Schema defines the media type application/schema+json, a JSON based format for defining the structure of JSON data." | [json-schema.org](http://json-schema.org/documentation.html) [draft-zyp-json-schema](http://tools.ietf.org/html/draft-zyp-json-schema)
